/* flex-container.css $Id: flex-container.css,v 1.15 2026/05/14 09:02:14 raifra Rel $
 *
 * CSS-Datei für die Benutzung eines flex-Containers
 *
 * Die hier abgelegten Definitionen sollten zusammen mit "raifra.css"
 * verwendet werden. Die CSS-Datei braucht nicht geladen zu werden,
 * wenn auf der betreffenden HTML-Seite kein "flex-container" gebraucht wird.
 *
 * Rainer Frädrich, www.raifra.de
 *
 */

.flex-container
{
  width: 100%;
  display: flex;
  align-items: stretch;
  justify-content: space-around;
}

.flex-child, .flex-child-1, .flex-child-2
{
  width: 100%;
  color: black;
  border: 1px solid #f3f4f5;
  background-color: #f9fafc;
  padding: 1em;
  min-height: 100%;
}

.flex-child-1
{
  padding: 2em 1em 1em 1em;
  margin: 0 auto;
}

.flex-child-2
{
  border: none;
  margin: 0;
  padding: 0;
  color: inherit;
  background-color: inherit;
}

@media (max-width: 1250px)
{
.flex-container { display: initial; }
.flex-child, .flex-child-1, .flex-child-2 { width: initial; }
}

@media screen
/* @media (prefers-color-scheme: dark) */
{
  .flex-child, .flex-child-1, .flex-child-2
  {
    color: white;
    border: 1px solid black;
    background-color: #353535;
  }

  .flex-child-2 { border: none; }
}

